Skip to content

Inventory & Services

Inventory List

GET /api/v2/inventory_list : List of inventory along with the fields available for each inventory item.

Example request

GET /api/v2/inventory_list?api_secret_key=<api_secret_key>

Example response

json
{
  "data":[
     {
      "id":1890,
      "name":"Inv_item1",
      "image":"",
      "created_on":"2020-09-02T12:53:05+02:00",
      "description":"",
      "inventory_no":"",
      "i_type":"",
      "model":"",
      "serial_no":"",
      "quantity":"1",
      "price_cost":"0",
      "prices":[
          {
              "price":"20",
              "customer_groups":["All"],
              "interval":"per_hour",
              "tax":19
          },
          {
              "price":"2",
              "customer_groups":{
                  "1182":"Group 1",
                  "1183":"group 2"
              },
              "interval":"per_hour",
              "tax":"34"
          }
      ],
      "resources":
          {
          "48":"Sample Resource A",
          "49":"Sample Resource B"
          }
    }
  ],
  "total":1,
  "success":true
}

Services List

GET /api/v2/service_list : List of services along with the fields available for each service.

Example request

GET /api/v2/service_list?api_secret_key=<api_secret_key>

Example response

json
{
  "data":[
     {
         "id":686,
         "name":"CJ Service",
         "image":"",
         "created_on":"2019-02-25T08:37:30+01:00",
         "description":"",
         "prices":[
          {
              "price":"20",
              "customer_groups":["All"],
              "interval":"per_hour",
              "tax":19
          },
          {
              "price":"2",
              "customer_groups":{
                  "1182":"Group 1",
                  "1183":"group 2"
              },
              "interval":"per_hour",
              "tax":"34"
          }
        ],
      "resources":
          {
          "48":"Sample Resource A",
          "49":"Sample Resource B"
          }
      }
  ],
  "total":1,
  "success":true
}